<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system</groupId>
        <artifactId>system-parent</artifactId>
        <version>1.8.0</version>
    </parent>

    <groupId>ru.entaxy.esb.system.commons</groupId>
    <artifactId>system-commons</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: COMMONS</name>
    <description>SYSTEM :: ENTAXY :: COMMONS</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.common.osgi,
            ru.entaxy.esb.system.common.osgi.impl,
            ru.entaxy.esb.system.common.exception,
            ru.entaxy.esb.system.common.aggregation.*,
            ru.entaxy.esb.system.common.interceptor,
            ru.entaxy.esb.system.common.util,
            ru.entaxy.esb.system.common.validator
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            com.google.gson,
            org.osgi.service.blueprint.container,
            javax.xml.soap*;version="[1.3,2)",
            javax.jws.*;version="[2.0.0,3.0.0)",
            javax.jws.soap.*;version="[2.0.0,3.0.0)",
            javax.xml.ws.*;version="[2.2.0,3.0.0)",
            !com.sun.xml.*,
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            javax.persistence;version="[2,3)",
            org.hibernate,
            org.hibernate.cfg,
            org.hibernate.service,
            org.hibernate.jpa,
            org.hibernate.proxy,
            org.apache.ignite,
            org.apache.ignite.internal.processors.cluster,
            org.apache.ignite.internal.processors.marshaller,
            org.apache.ignite.internal.util.lang.gridfunc,
            org.apache.ignite.spi.discovery.tcp.internal,
            org.apache.ignite.transactions,
            org.apache.ignite.internal.*,
            javassist.util.proxy,
            org.apache.commons.lang3,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>${gson.version}</version>
        </dependency>
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
            <version>${xerces.version}</version>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.core</artifactId>
            <version>${osgi.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>${commons-lang.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.aries.blueprint</groupId>
            <artifactId>org.apache.aries.blueprint.cm</artifactId>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <version>${osgi.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>${hibernate.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
            <version>${javax.transaction.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http-jetty</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons-lang3.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.ignite</groupId>
            <artifactId>ignite-core</artifactId>
            <version>${ignite.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.ignite</groupId>
            <artifactId>ignite-jcl</artifactId>
            <version>${ignite.version}</version>
        </dependency>

        <dependency>
            <groupId>com.hazelcast</groupId>
            <artifactId>hazelcast</artifactId>
            <version>${hazelcast.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jms</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-sql</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
    </dependencies>
</project>
